> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List all devices with their linked entities



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/devices/with-entities
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/devices/with-entities:
    get:
      tags:
        - Devices
      summary: List all devices with their linked entities
      operationId: getV1DevicesWith-entities
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    device:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        manufacturer:
                          type: string
                        model:
                          type: string
                        config_entry_id:
                          type: number
                        user_id:
                          type: string
                    entities:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: number
                          entity_id:
                            type: string
                          name:
                            type: string
                          domain:
                            type: string
                          platform:
                            type: string
                          unique_id:
                            type: string
                          config_entry_id:
                            type: number
                          device_registry_id:
                            type: number
                            nullable: true
        '404':
          description: User not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````